%define product		PloneArticle
%define version		2.06
%define release		1mdk

%define zope_minver	2.7
%define plone_minver    2.0

%define zope_home	%{_libdir}/zope
%define software_home	%{zope_home}/lib/python

Summary:	A Plone content type to store ellaborated content
Name:		plone-%{product}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Servers
Source:		http://belnet.dl.sourceforge.net/sourceforge/ingeniweb/PloneArticle-%{version}.tar.bz2
Patch0:		plone-PloneArticle-path.patch.bz2
URL:		http://ingeniweb.sourceforge.net/Products/PloneArticle/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:	noarch
Requires:	zope >= %{zope_minver} zope-ZAAPlugins
Requires:       plone >= %{plone_minver}

%description
A Plone content type to store ellaborated content

%prep
%setup -c
%patch0 -p0

%build
# Not much, eh? :-)


%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}/%{software_home}/Products
%{__cp} -a * %{buildroot}%{software_home}/Products/


%clean
%{__rm} -rf %{buildroot}

%post
if [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
	service zope restart
fi

%postun
if [ -f "%{_prefix}/bin/zopectl" ] && [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
	service zope restart
fi

%files
%defattr(-, root, root, 0755)
%{software_home}/Products/*


%changelog
* Tue Jan 18 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 2.06-1mdk
- initial contrib
